Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.service
Class ServiceWrapper

    org.huihoo.jfox.service.ComponentSupport
      |
      +--org.huihoo.jfox.service.ServiceSupport
            |
            +--org.huihoo.jfox.service.ServiceWrapper

All Implemented Interfaces:
  Component, ComponentSupportMBean, Loggable, Persistentable, java.lang.Runnable, java.io.Serializable, Service, ServiceSupportMBean, ServiceWrapperMBean

public class ServiceWrapper
extends ServiceSupport
implements ServiceWrapperMBean, java.lang.Runnable

wrap a remote service and export it's stub to a speicific port

Author:
  Young Yang
See Also:
  Serialized Form

Fields inherited from class org.huihoo.jfox.service.ComponentSupport
`logger, name, objectName, proxyInstance, sequence, server, state`

Constructor Summary
`ServiceWrapper(java.lang.Class remoteObjectClass, int port)`
`ServiceWrapper(java.rmi.Remote remoteObject, int port)`
`ServiceWrapper(java.lang.String remoteObjectClassName, int port)`

Method Summary
`protected void` | `doDestroy()` do actually destory action
`protected void` | `doInit()` do actually create action
`protected void` | `doStart()` do actually start action
`protected void` | `doStop()` do actually stop action
`int` | `getPort()`
`java.rmi.Remote` | `getRemoteObject()`
`void` | `run()`

Methods inherited from class org.huihoo.jfox.service.ServiceSupport
`handleNotification, isRunning, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.huihoo.jfox.service.ComponentSupport
`destroy, getLogger, getName, getObjectName, getProxyInstance, getState, init, parseName, setLogger, setName`

Methods inherited from interface org.huihoo.jfox.service.Service
`isRunning, start, stop`

Methods inherited from interface org.huihoo.jfox.service.Component
`destroy, getName, getState, init`

Methods inherited from interface org.huihoo.jfox.service.Loggable
`getLogger`

Methods inherited from interface org.huihoo.jfox.service.ComponentSupportMBean
`getObjectName, getProxyInstance`

Constructor Detail

### ServiceWrapper

    public ServiceWrapper(java.rmi.Remote remoteObject,
                          int port)

### ServiceWrapper

    public ServiceWrapper(java.lang.Class remoteObjectClass,
                          int port)

### ServiceWrapper

    public ServiceWrapper(java.lang.String remoteObjectClassName,
                          int port)

Method Detail

### doInit

    protected void doInit()
                   throws java.lang.Exception

  Description copied from class: `ComponentSupport`
  do actually create action
  Overrides:
    `doInit` in class `ComponentSupport`

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Description copied from class: `ServiceSupport`
  do actually start action
  Overrides:
    `doStart` in class `ServiceSupport`

### doStop

    protected void doStop()
                   throws java.lang.Exception

  Description copied from class: `ServiceSupport`
  do actually stop action
  Overrides:
    `doStop` in class `ServiceSupport`

### doDestroy

    protected void doDestroy()
                      throws java.lang.Exception

  Description copied from class: `ComponentSupport`
  do actually destory action
  Overrides:
    `doDestroy` in class `ComponentSupport`

### getPort

    public int getPort()

  Specified by:
    `getPort` in interface `ServiceWrapperMBean`

### getRemoteObject

    public java.rmi.Remote getRemoteObject()

  Specified by:
    `getRemoteObject` in interface `ServiceWrapperMBean`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD